Skip to content
API Reference

Update

client.Organizations.Update(ctx, organizationID, params) (*Organization, error)
PATCH/organizations/{organization_id}

Update organization details

ParametersExpand Collapse
organizationID string

Organization ID or label identifier

minLength1
maxLength255
params OrganizationUpdateParams
Name param.Field[string]optional

Body param: Organization name

XClientRequestID param.Field[string]optional

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
type Organization struct{…}
ID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
CreatedAt Time

The time the entity was created in utc

formatdate-time
Label string

A domain name segment for the entity, often derived from the name.

maxLength63
Name string

A name for the entity to be displayed in UI

SSOEnabled bool

Whether SSO is enabled for this organization

UpdatedAt Time

The time the entity was mostly recently updated in utc

formatdate-time
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Update

package main

import (
  "context"
  "fmt"

  "github.com/keycardai/keycard-go"
)

func main() {
  client := keycard.NewClient(

  )
  organization, err := client.Organizations.Update(
    context.TODO(),
    "x",
    keycard.OrganizationUpdateParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", organization.ID)
}
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "label": "26f1klzn5713-56bincal4ca-60zz1k91s4-j2c13v6",
  "name": "name",
  "sso_enabled": true,
  "updated_at": "2019-12-27T18:11:19.117Z",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "label": "26f1klzn5713-56bincal4ca-60zz1k91s4-j2c13v6",
  "name": "name",
  "sso_enabled": true,
  "updated_at": "2019-12-27T18:11:19.117Z",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}